<template>
  <div class="fixed left-0 top-0 right-0 bottom-0 z-30">
    <div class="absolute bg-[#133F5D] opacity-80 top-0 left-0 w-full h-full"></div>
    <div class="w-full md:w-[820px] bg-white absolute left-[50%] top-[50%] z-10 transform -translate-y-[50%] -translate-x-[50%] p-10 rounded-[16px]">
      <div @click="closeModal" class="absolute top-5 right-5 cursor-pointer">
        <font-awesome-icon :icon="['fas', 'x']" class="ml-auto text-[20px] text-[#8695A1]" />
      </div>
      <span class="h-6 leading-6 w-auto inline-block items-center px-1 bg-[#4195D5] bg-opacity-[12%] text-[12px] text-[#4195D5] mb-2">Payment Paper</span>
      <div class="text-[20px] text-[#133F5D] font-bold mb-6">Pilih metode pembayaran</div>
      <div class="flex justify-between">
        <div class="order-2 custom-shadow w-[297px] h-[282px] shrink-0 p-5">
          <div class="h-[39px] border-[0.5px] border-[#BECBD3] rounded-[5px] flex items-center p-[10px] mb-6">
            <img :src="kuponIcon" class="mr-[10px]" alt="kupon">
            <div class="text-[12px] text-[#4C6E84]">Gunakan promo Paper ID</div>
            <font-awesome-icon :icon="['fas', 'chevron-right']" class="ml-auto text-[12px]" />
          </div>
          <div class="text-[14px] text-[#133F5D] font-bold mb-4">Rincian Pembayaran</div>
          <div class="flex justify-between items-center pb-2 border-b-[0.3px] border-[#859CAB] mb-2">
            <div class="text-[12px] text-[#133F5D]">Subtotal</div>
            <div class="text-[12px] text-[#133F5D]">Rp 5.000.000</div>
          </div>
          <div class="flex justify-between items-center pb-2 mb-8">
            <div class="text-[14px] font-bold text-[#133F5D]">Subtotal</div>
            <div class="text-[14px] font-bold text-[#4195D5]">Rp 5.000.000</div>
          </div>
          <button class="w-full text-[14px] text-white bg-[#93C854] rounded-full h-10 leading-10 text-center">Bayar Sekarang</button>
        </div>
        <div class="">
          <div class="">
            <div class="text-[14px] text-[#133F5D] font-bold mb-[15px]">Tokopedia</div>
            <label class="text-[14px] text-[#133F5D] mb-[16px] flex items-center pb-[26px] border-b-[0.5px] border-[#859CAB] w-[363px]">
              <input type="radio" name="payment" value="option1" class="hidden">
              <span class="custom-radio w-5 h-5 rounded-full mr-3 border-[1.5px] border-[#9AA6B0] flex items-center justify-center">
                <font-awesome-icon icon="check" class="text-white text-[12px] check-icon hidden" />
              </span>
              <div class="w-[103px]"><img :src="tokpedImage" class="w-[47px]" alt="tokopedia"/></div>
              Tokopedia
            </label>
            <div class="text-[14px] text-[#133F5D] font-bold mb-[15px]">Credit Card</div>
            <label class="text-[14px] text-[#133F5D] mb-[16px] flex items-center pb-[26px] border-b-[0.5px] border-[#859CAB] w-[363px]">
              <input type="radio" name="payment" value="option1" class="hidden">
              <span class="custom-radio w-5 h-5 rounded-full mr-3 border-[1.5px] border-[#9AA6B0] flex items-center justify-center">
                <font-awesome-icon icon="check" class="text-white text-[12px] check-icon hidden" />
              </span>
              <div class="w-[103px]"><img :src="ccImage" class="w-[31px]" alt="cc"/></div>
              Kartu Kredit
            </label>
            <div class="text-[14px] text-[#133F5D] font-bold mb-[15px]">Paper Usaha</div>
            <label class="text-[14px] text-[#133F5D] mb-[16px] flex items-center pb-[26px] w-[363px]">
              <input type="radio" name="payment" value="option1" class="hidden">
              <span class="custom-radio w-5 h-5 rounded-full mr-3 border-[1.5px] border-[#9AA6B0] flex items-center justify-center">
                <font-awesome-icon icon="check" class="text-white text-[12px] check-icon hidden" />
              </span>
              <div class="w-[103px]"><img :src="koinworksImage" class="w-[106px]" alt="cc"/></div>
              Koinworks
            </label>
            <label class="text-[14px] text-[#133F5D] mb-[16px] flex items-center pb-[26px] w-[363px]">
              <input type="radio" name="payment" value="option1" class="hidden">
              <span class="custom-radio w-5 h-5 rounded-full mr-3 border-[1.5px] border-[#9AA6B0] flex items-center justify-center">
                <font-awesome-icon icon="check" class="text-white text-[12px] check-icon hidden" />
              </span>
              <div class="w-[103px]"><img :src="investreeImage" class="w-[57px]" alt="cc"/></div>
              Investree
            </label>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import EventBus from '~/helpers/eventBus'
export default {
  name: 'CheckoutModal',
  data() {
    return {
      tokpedImage: require('@/assets/images/tokopedia.png'),
      ccImage: require('@/assets/images/creditCard.png'),
      koinworksImage: require('@/assets/images/koinworks.png'),
      investreeImage: require('@/assets/images/investree.png'),
      kuponIcon: require('@/assets/images/kupon.svg'),
    }
  },
  methods: {
    closeModal() {
      console.log('mamam')
      EventBus.$emit('close-modal');
    }
  }
}
</script>

<style scoped lang="scss">
input[type="radio"]:checked + .custom-radio {
  background-color: #4195D5;
  border-color: #4195D5;

  .check-icon {
    display: block !important;
  }
}
</style>
